/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_BANCO                                                    */
/* Tabela : BANCO                                                             */
/*                                                                            */
/* Criao:                                                                   */
/* 03/07/2003 - Marina Campos Amaral                                          */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_BANCO
BEFORE INSERT OR UPDATE OR DELETE
ON BANCO FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUBANC := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDBANCO,0)      <> NVL(:NEW.CDBANCO,0))      OR
         (NVL(:OLD.NMBANCO,0)      <> NVL(:NEW.NMBANCO,0))      OR
         (NVL(:OLD.DSARQBOLCOMP,0) <> NVL(:NEW.DSARQBOLCOMP,0)) OR
         (NVL(:OLD.DSARQBOLPREI,0) <> NVL(:NEW.DSARQBOLPREI,0)) OR
         (NVL(:OLD.CDBANCCNAB,0)   <> NVL(:NEW.CDBANCCNAB,0))   OR
         (NVL(:OLD.CDPICTCONT,0)   <> NVL(:NEW.CDPICTCONT,0)    OR
         (NVL(:OLD.CDPICTAGEN,0)   <> NVL(:NEW.CDPICTAGEN,0))) THEN
         :NEW.DTULTATUBANC := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('BANCO', '', 'CDBANCO='||:OLD.CDBANCO||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE BANCO MODIFY DTULTATUBANC DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_BANCO','4.11.194'); END;
/

