CREATE OR REPLACE
FUNCTION CONSULTA_ESTOQUE_ORE (P_FILIAL     IN POSESTDIA.CDFILIAL%TYPE,
                               P_PRODUTO    IN POSESTDIA.CDPRODUTO%TYPE,                               
                               P_IDORCAENCO  IN VARCHAR2,
                               P_ALMOXARIFE IN ALMOXARIFADO.CDALMOXARIFE%TYPE,
                               P_LOCALESTOQ IN LOCALESTOQUE.CDLOCALESTOQ%TYPE,
                               P_LOTEESTQ   IN LOTE.NRLOTEESTQ%TYPE,
                               P_SUBLOTE    IN LOTE.NRSUBLOTE%TYPE)RETURN FLOAT	
IS
   V_IDESTVERIFI VARCHAR2(20);
   V_QTDEESTO    DOUBLE PRECISION;
   V_VALRESTO    DOUBLE PRECISION;
   V_VALRBRUT    DOUBLE PRECISION;
   V_CDPRODMOVI  VARCHAR2(10);
BEGIN
   IF P_IDORCAENCO = 'O' THEN
      /*BUSCA O PARAMETRO DO ORAMENTO */
      BEGIN
        SELECT MAX(IDESTVERIFIORCA)
          INTO V_IDESTVERIFI
          FROM PARAMORCAEVE;
      EXCEPTION
         WHEN NO_DATA_FOUND THEN
           V_IDESTVERIFI := 'ESTOQUEATUAL';
      END;
   ELSE
      /*BUSCA O PARAMETRO DA ENCOMENDA */
      BEGIN
        SELECT MAX(IDESTVERIFIENCO)
          INTO V_IDESTVERIFI
          FROM PARAMORCAEVE;
      EXCEPTION
         WHEN NO_DATA_FOUND THEN
           V_IDESTVERIFI := 'ESTOQUEATUAL';
      END;
   END IF;
   
   IF V_IDESTVERIFI = 'ESTOQUEATUAL'  THEN
      CONSULTA_POSICAO(P_FILIAL, P_PRODUTO, SYSDATE + 1, P_ALMOXARIFE, P_LOCALESTOQ, P_LOTEESTQ, P_SUBLOTE, 'N', V_QTDEESTO,  V_VALRESTO, V_VALRBRUT);
      RETURN V_QTDEESTO;
   ELSE
      BEGIN
         SELECT MAX(CDPRODESTO)
           INTO V_CDPRODMOVI
           FROM PRODUTO
          WHERE CDPRODUTO = P_PRODUTO;
      EXCEPTION
         WHEN NO_DATA_FOUND THEN
           V_CDPRODMOVI := NULL;
      END;
      
      BEGIN
         SELECT MAX(QTLANCTOEST)
           INTO V_QTDEESTO
           FROM ITLANCTOEST
          WHERE CDFILIMOVI = P_FILIAL
            AND CDPRODMOVI = V_CDPRODMOVI
            AND CDALMOXARIFE = P_ALMOXARIFE
            AND CDLOCALESTOQ = P_LOCALESTOQ
            AND NRLOTEESTQ = P_LOTEESTQ
            AND NRSUBLOTE = P_SUBLOTE
            AND IDTIPOMOVI = '1'
            AND DTLANCMOVI = (SELECT MAX(DTLANCMOVI)
                                FROM ITLANCTOEST
                               WHERE CDFILIMOVI = P_FILIAL
                                 AND CDPRODMOVI = V_CDPRODMOVI
                                 AND CDALMOXARIFE = P_ALMOXARIFE
                                 AND CDLOCALESTOQ = P_LOCALESTOQ
                                 AND NRLOTEESTQ = P_LOTEESTQ
                                 AND NRSUBLOTE = P_SUBLOTE
                                 AND IDTIPOMOVI = '1'
                                 AND DTLANCMOVI <= SYSDATE);    
      EXCEPTION
         WHEN NO_DATA_FOUND THEN
           V_QTDEESTO := 0;
      END;
      
      RETURN V_QTDEESTO;
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('CONSULTA_ESTOQUE_ORE','5.50.000'); END;
/