/* Sistemas Integrados TECNISA

Nome: 0804_CDPTRGS_DTULTATU_PROCFABRICA

Descrio:

Atualiza a data de ultima atualizao da tabela PROCFABRICA

Criao:
09/11/2007 Welbert G. Moitinha
*/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_PROCFABRICA' and
            type = 'TR'                    and
            u.uid = o.uid                  and
            u.name = USER)
DROP TRIGGER DTULTATU_PROCFABRICA
GO

CREATE TRIGGER DTULTATU_PROCFABRICA
ON PROCFABRICA
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'PROCFABRICA', '', 'CDFILIAL='+CDFILIAL+';CDPRODUTO='+CDPRODUTO+';CDPROCFABRIC='+CDPROCFABRIC+';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE PROCFABRICA
      SET  DTULTATUPFAB = GETDATE()
      FROM INSERTED
      WHERE
         (ISNULL(PROCFABRICA.CDPROCFABRIC,0) <> ISNULL(INSERTED.CDPROCFABRIC,0)) OR
         (ISNULL(PROCFABRICA.IDPROFABPADR,0) <> ISNULL(INSERTED.IDPROFABPADR,0)) OR
         (ISNULL(PROCFABRICA.QTPADPROCFAB,0) <> ISNULL(INSERTED.QTPADPROCFAB,0));
   END;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_PROCFABRICA','4.00.000';
GO