Configuration(function(RepositoryFactory, ContextRegister, Query) {

	var LoginRepository = RepositoryFactory.factory('/login', 'LOCAL', 1, 30000);
	var ConsultaLoginRepository = RepositoryFactory.factory('/consultaEmail', 'LOCAL', 1, 30000);
	var ConsultaCodigoRecuperacao = RepositoryFactory.factory('/consultaCodigo', 'LOCAL', 1, 30000);
	var SalvaNovaSenha = RepositoryFactory.factory('/salvaSenha', 'LOCAL', 1, 30000);
	var ConsultaJaLogado = RepositoryFactory.factory('/verificaLogado', 'LOCAL', 1, 30000);
	var ValidaSenha = RepositoryFactory.factory('/validaSenha', 'LOCAL', 1, 30000);
	var Criptography = RepositoryFactory.factory('/criptPassword', 'LOCAL', 1, 30000);

	//LoginRepository.autenticar = function(fornecedor, email, senha) {
    //
	//	return this.download(Query.build()
	//		.where('fornecedor').equals(fornecedor)
	//		.where('email').equals(email)
	//		.where('senha').equals(senha)
	//	);
    //
	//};

	ConsultaLoginRepository.verificaEmail = function(email){

		return this.download(Query.build()
			.where('email').equals(email)
		);

	};

	ConsultaJaLogado.verificaJaLogado = function(email){

		return this.download(Query.build()
			.where('email').equals(email)
		);

	};

	ConsultaCodigoRecuperacao.verificaCodigoRecuperacao = function(email, codigo, senha){

		return this.download(Query.build()
			.where('email').equals(email)
			.where('codigo').equals(codigo)
			.where('senha').equals(senha)
		);

	};

	SalvaNovaSenha.salvaSenha = function(email, senha){

		return this.download(Query.build()
			.where('email').equals(email)
			.where('senha').equals(senha)
		);

	};

    ValidaSenha.validaSenha = function(cdsenhaweb, senha){

        return this.download(Query.build()
                .where('cdsenhaweb').equals(cdsenhaweb)
                .where('senha').equals(senha)
        );

    };

    Criptography.criptographyPassword = function(password){

        return this.download(Query.build()
                .where('password').equals(password)
        );

    };

	ContextRegister.register('LoginRepository', LoginRepository);
	ContextRegister.register('ConsultaLoginRepository', ConsultaLoginRepository);
	ContextRegister.register('ConsultaCodigoRecuperacao', ConsultaCodigoRecuperacao);
	ContextRegister.register('SalvaNovaSenha', SalvaNovaSenha);
	ContextRegister.register('ConsultaJaLogado', ConsultaJaLogado);
	ContextRegister.register('ValidaSenha', ValidaSenha);
	ContextRegister.register('Criptography', Criptography);

});